Skip to main content
GET
/
batches
/
{batch_id}
/
{custom_id}
Get batch request result
curl --request GET \
  --url https://api.sailresearch.com/v1/batches/{batch_id}/{custom_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sailresearch.com/v1/batches/{batch_id}/{custom_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sailresearch.com/v1/batches/{batch_id}/{custom_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "response",
  "created_at": 123,
  "model": "<string>",
  "usage": {
    "input_tokens": 123,
    "input_tokens_details": {
      "cached_tokens": 123,
      "reasoning_tokens": 123
    },
    "output_tokens": 123,
    "output_tokens_details": {
      "cached_tokens": 123,
      "reasoning_tokens": 123
    },
    "total_tokens": 123,
    "prompt_tokens": 123,
    "completion_tokens": 123
  },
  "metadata": {},
  "input": "<string>",
  "output": "<string>",
  "error": {},
  "incomplete_details": {},
  "max_output_tokens": 123,
  "reasoning": {},
  "text": {
    "format": {
      "type": "text"
    }
  },
  "store": true,
  "temperature": 123,
  "top_p": 123,
  "parallel_tool_calls": true,
  "tool_choice": "<string>",
  "tools": [
    {}
  ],
  "truncation": "<string>",
  "user": "<string>"
}
{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}
{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}
{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}
{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

batch_id
string
required

The ID of the batch.

custom_id
string
required

The custom_id of the request within the batch.

Response

The response object for the given request.

id
string
required
object
enum<string>
required
Available options:
response
created_at
integer
required
status
enum<string>
required
Available options:
pending,
running,
failed,
completed,
cancelled
model
string
required
usage
object
required
metadata
object
required
input

Text input, plus image input (input_image) on multimodal models. Audio, files, and item references are not currently supported.

Minimum string length: 1
output
error
object | null
incomplete_details
object | null
max_output_tokens
integer | null
reasoning
object
text
object
store
boolean
temperature
number
top_p
number
parallel_tool_calls
boolean
tool_choice
tools
object[]
truncation
user
string | null